package dk.vajhoej.record.edit;

import java.awt.GridLayout;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;

import javax.swing.JLabel;
import javax.swing.JTextField;

import dk.vajhoej.record.FieldInfo;

abstract class FieldDecAndHex<T> extends FieldBase<T> {
	public static interface Convert<T> {
		public String toDec(T v);
		public T fromDec(String v);
		public String toHex(T v);
		public T fromHex(String v);
	}
	private static final long serialVersionUID = 1L;
	private JTextField dec;
	private JTextField hex;
	private Convert<T> cvt;
	public FieldDecAndHex(FieldInfo fi, Convert<T> cvt) {
		setLayout(new GridLayout(1, 2));
		dec = new JTextField();
		dec.addFocusListener(new FocusListener() {
			public void focusGained(FocusEvent e) {
			}
			public void focusLost(FocusEvent e) {
				hex.setText(cvt.toHex(cvt.fromDec(dec.getText())));
			}
		});
		add(connect(new JLabel("Decimal value:"), dec));
		hex = new JTextField();
		hex.addFocusListener(new FocusListener() {
			public void focusGained(FocusEvent e) {
			}
			public void focusLost(FocusEvent e) {
				dec.setText(cvt.toDec(cvt.fromHex(hex.getText())));
			}
		});
		add(connect(new JLabel("Hex value:"), hex));
		this.cvt = cvt;
	}
	public T getValue() {
		return cvt.fromDec(dec.getText());
	}
	public void setValue(T o) {
		dec.setText(cvt.toDec(o));
		hex.setText(cvt.toHex(o));
	}
}
